{% if section.blocks.size > 0 %}

  <div class="home-slideshow">
    <div class="homeSlider carousel" id="slideshow-{{ section.id }}" data-section-id="{{ section.id }}">
    
      {% for block in section.blocks %}
        <div class="item slide--{{ block.id }}" {{ block.shopify_attributes }}>
          <div class="content abs-center z-4 d-flex justify-content-center">
            <div class="my-auto inner text-center">
              <h1 class="text-white">CONTENIDO</h1>
              <a href="£" class="btn btn-primary">texto boton</a>
            </div>
          </div>
          <div class="img-wrapper">
            {% if block.settings.link != blank %}
              <a href="{{ block.settings.link }}">
            {% endif %}
            <img src="{{ block.settings.image.src | img_url: '480x' }}"
              srcset="
              {% if block.settings.image.width > 576 %}{{ block.settings.image.src | img_url: '400x600' }} 576w{% endif %}
              {% if block.settings.image.width > 768 %},{{ block.settings.image.src | img_url: '768x1024' }} 768w{% endif %}
              {% if block.settings.image.width > 1200 %},{{ block.settings.image.src | img_url: '1200x' }} 1200w{% endif %} 
              " 
              sizes="(min-width: 992px) 1200px, (min-width: 768px) 50vw, 100vw, (min-width: 576px) 50vw, 100vw"
            />
            {% if block.settings.link != blank %}
              </a>
            {% endif %}
          </div>
        </div>
      {% endfor %}
      
    </div>
  </div>
  
{% endif %}

{% if section.blocks.size == 0 %}
  <div class="home-slideshow">
    <div class="homeSlider">
        <div class="item">
          <div class="img-wrapper">
            <a href="#"><img class="img-fluid" src="https://placeholdit.co/i/1600x800?&bg=cccccc&text=1600x800"></a>
          </div>
        </div>
        <div class="item">
          <div class="img-wrapper">
            <a href="#"><img class="img-fluid" src="https://placeholdit.co/i/1600x800?&bg=cccccc&text=1600x800"></a>
          </div>
        </div>
    </div>
  </div>
{% endif %}

{% schema %}
  {
    "name": "Home Slideshow",
    "max_blocks": 4,
    "blocks": [
      {
        "type": "slide",
        "name": "Slide",
        "settings": [
          {
            "type": "image_picker",
            "id": "image",
            "label": "Image"
          },
          {
            "type": "url",
            "id": "link",
            "label": "Slide link"
          }
        ]
      }
    ]
  }
{% endschema %}
